gromox-import(8)

Name
gromox-import — Utility for importing various mail items into Gromox

Synopsis
gromox-import [...] [-Dcpt] [-u [localpart]@domain.example] < input.mt

Description
gromox-import reads a Gromox-specific mailbox transfer format data stream (GXMT) from standard input as generated by gromox-pff2mt(8) or other similarly named utilities. When the username option (-u) is provided, folders and messages included in the stream are written to the specified Gromox mail store, otherwise the utility will just parse the stream (useful with -t,-p).

There is no cross-check for already-imported messages at this time. Messages from the input stream will always generate new messages in the target mailbox.

Note that messages are always owned by the store they are in. Note that, when importing to a public store, you may need to set some additional permissions on that public store's folders so that a particular user is able to modify messages after they have been imported. (All import/export utilites use superuser access and need no permissions.)

Options

-B name
    Place unanchored messages (loose objects that do not request placement in any particular folder) in the folder specified by -B. The accepted names are documented in the gromox-mbop(8) manpage under section "Folder specification". Unanchored messages can be produced by e.g. gromox-eml2mt, gromox-tnef2mt, gromox-pff2mt --only-obj, gromox-kdb2mt --only-obj.
    Default: draft

-D  Use delivery mode, i.e. treat messages as if they were sent through the mail system rather than being imported. As such, messages are subject to inbox rules, and folders in the MT stream will be ignored altogether, which also implies that -B is ignored.

-c  Continuous operation mode. Errors during the import of a message are reported, but the utility will continue with importing more messages. The default is to exit after reporting a delivery error.

-p  Show properties in detail (enhances -t).

-t  Print folder/message summary as these items are processed.

-u [user]@domain.example
    Target mail store which to import mails to. For the public folder of a domain, leave out the local part, i.e. use @domain.example.

-v  Verbose mode: report individual FID/MIDs for newly created objects.

-x  When importing an MT stream that does not request message splicing, the utility will raise an error if a to-be-created folder already exists. This behavior can be turned off with -x. This option can be thought of what mkdir's -p option would do.

--loglevel n Maximum verbosity of general logging (not connected
    to -p, -t or -v). 1=crit, 2=error, 3=warn, 4=notice, 5=info, 6=debug.
    Default: 4 (notice)

--skip-notif
    Skip emitting MAPI notifications (when -D is used). This is for development only.

--skip-rules
    Skip executing rules (when -D is used).

Exit status notes
All input streams must have at least a valid magic signature (first eight bytes) — an input stream of length zero is treated as invalid rather than as a valid stream without any commands.

Examples
PFF import to a private mailbox:

gromox-pff2mt sample.pst | gromox-import -u user@domain.example

PFF import to a public folder:

gromox-pff2mt sample.pst | gromox-import -u @domain.example

See also
gromox(7), gromox-pff2mt(8)